import 'package:android_notification_icons/validator.dart';
import 'package:test/test.dart';

/// [Validator]
void main() {
  group('#validateAndroidIconName', () {
    group('バリデーションチェックが成功した場合 true を返す', () {
      test('小文字のみの場合 true を返す', () {
        final iconName = 'icon';
        expect(Validator.validateAndroidIconName(iconName), isTrue);
      });
      test('アンダーバーが含まれている場合 true を返す', () {
        final iconName = 'ic_notification';
        expect(Validator.validateAndroidIconName(iconName), isTrue);
      });
      test('数字が含まれている場合は true を返す', () {
        final iconName = 'ic_notification_1';
        expect(Validator.validateAndroidIconName(iconName), isTrue);
      });
    });
    group('バリデーションチェックが失敗した場合 false を返す', () {
      test('大文字が含まれている場合 false を返す', () {
        final iconName = 'icNotification';
        expect(Validator.validateAndroidIconName(iconName), isFalse);
      });
      test('アンダーバー以外の記号が含まれている場合 false を返す', () {
        expect(Validator.validateAndroidIconName('ic-notification'), isFalse);
        expect(Validator.validateAndroidIconName('ic.notification'), isFalse);
      });
    });
  });
}
